WordPress.org

Support

Support » Plugins and Hacks » [Plugin: DandyID Services] DandyID services plugin activation parse error

[Plugin: DandyID Services] DandyID services plugin activation parse error

  • I received the following error message when I tried to Activate this plugin. Anyone know what is up?

    Plugin could not be activated because it triggered a fatal error.

    Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or ‘}’ in /home6/dgoldin/public_html/radio/wp-content/plugins/dandyid-services/class.dandyid.php on line 6

    http://wordpress.org/extend/plugins/dandyid-services/

Viewing 6 replies - 1 through 6 (of 6 total)
  • I just looked at that module — class.dandyid.php — it looks to be fine.

    No weird trailing characters, syntax looks good.

    This plugin does require PHP 5.0 on the server.

    Can you verify what version of PHP is running on your server?

    Glad to help here…

    Thanks, Neil (plugin author)

    Hi Dgold,

    I just updated the Plugin to Version: 1.0.4. If you get a chance, please try it out. (I updated class.dandyid.php to increase PHP backward compatibility.)

    Thanks, Neil

    It now activates. Thank you. Server in question is on PHP 4.x – is that going to prevent it from fully working?

    I was wondering if you could tell me how to put this plugin in my sidebar without using Widgets. Is there a function / template tag for it? (EDIT: Ok well I guess I could just put the DandyID java code and not use the plugin, is that the best call?)

    Thanks Neil. Dgold

    hypernayte
    Member

    @hypernayte

    When I activate Dandy 1.1.0 in WP 2.7, I get “Fatal error: Call to undefined function curl_init() in /path/to/wordpress/wp-content/plugins/dandyid-services/class.dandyid.php on line 87”.

    Any ideas?

    hypernayte
    Member

    @hypernayte

    I’m moving this to it’s own post. Just realized that this is a different issue.

    resolved.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘[Plugin: DandyID Services] DandyID services plugin activation parse error’ is closed to new replies.